Bug 536670 - (RHQ-997) add new allowsEmptyValue boolean option to property definitions
add new allowsEmptyValue boolean option to property definitions
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-10-19 14:01 EDT by Ian Springer
Modified: 2013-08-05 20:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 12:05:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-10-19 14:01:00 EDT
In 95% of cases, a plugin writer is going to want to consider empty string values for properties to be invalid. But there will be some cases where they want to allow empty strings for certain properties. To support these cases, add a allowsEmptyValue boolean option to PropertyDefinitionSimple that defaults to false.
Comment 1 Red Hat Bugzilla 2009-11-10 16:21:16 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-997
Comment 2 wes hayutin 2010-02-16 12:10:16 EST
mass add of key word FutureFeature to help track

Note You need to log in before you can comment on or make changes to this bug.